%define pypi_name httpx

%define subrel 1

Name:       python-%{pypi_name}
Version:    0.23.0
Release:    %mkrel 1
Summary:    The next generation HTTP client
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/httpx
Source0:    %{pypi_source}
Patch0:     httpx-relax-requirements.patch

BuildArch:  noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
HTTPX is a fully featured HTTP client for Python 3, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
HTTPX is a fully featured HTTP client for Python 3, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%pyproject_extras_subpkg -n python3-%{pypi_name} brotli http2 cli socks

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x brotli,http2,cli,socks

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files httpx

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/httpx


%changelog
* Fri Apr 04 2025 katnatek <katnatek> 0.23.0-1.1.mga9
+ Revision: 2173305
- Revert to 0.23.0
- Generate all the subpackages
- Rebuild for python-socksio
- More fix to Build in mageia 9
- Fix Build in mageia 9
- Update to 0.28.1 mga#34021

* Tue Sep 20 2022 guillomovitch <guillomovitch> 0.23.0-1.mga9
+ Revision: 1891022
- new version 0.23.0

* Sun Mar 20 2022 guillomovitch <guillomovitch> 0.22.0-1.mga9
+ Revision: 1808842
- new version 0.22.0

* Thu Feb 17 2022 tv <tv> 0.21.1-2.mga9
+ Revision: 1778500
- Rebuild for python-3.10

* Wed Dec 29 2021 guillomovitch <guillomovitch> 0.21.1-1.mga9
+ Revision: 1765335
- new version 0.21.1

* Sun Aug 22 2021 wally <wally> 0.19.0-1.mga9
+ Revision: 1742189
- new version 0.19.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.17.1-1.mga9
+ Revision: 1705039
- new version 0.17.1

* Wed Mar 03 2021 guillomovitch <guillomovitch> 0.17.0-1.mga9
+ Revision: 1697522
- new version 0.17.0

* Sun Oct 11 2020 guillomovitch <guillomovitch> 0.16.1-1.mga8
+ Revision: 1633433
- new version 0.16.1

* Sun Sep 27 2020 guillomovitch <guillomovitch> 0.15.4-1.mga8
+ Revision: 1630745
- new version 0.15.4

* Fri Sep 25 2020 guillomovitch <guillomovitch> 0.15.3-1.mga8
+ Revision: 1630006
- new version 0.15.3

* Sat Sep 05 2020 guillomovitch <guillomovitch> 0.14.3-1.mga8
+ Revision: 1622511
- new version 0.14.3

* Sun Jul 12 2020 guillomovitch <guillomovitch> 0.13.3-1.mga8
+ Revision: 1605423
- new version 0.13.3

* Mon Apr 20 2020 tv <tv> 0.12.1-2.mga8
+ Revision: 1570108
- rebuild w/o auto rich deps

* Sun Apr 19 2020 guillomovitch <guillomovitch> 0.12.1-1.mga8
+ Revision: 1569827
- imported package python-httpx

